---
title: List Vectorize Indexes
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Vectorize](https://developers.cloudflare.com/api/python/resources/vectorize)

[Indexes](https://developers.cloudflare.com/api/python/resources/vectorize/subresources/indexes)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Vectorize Indexes

vectorize.indexes.list(IndexListParams\*\*kwargs) -> SyncSinglePage\[[CreateIndex](<https://developers.cloudflare.com/api/python/resources/vectorize#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)>)]

GET/accounts/{account\_id}/vectorize/v2/indexes

Returns a list of Vectorize Indexes

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Vectorize Write``Vectorize Read`

##### ParametersExpand Collapse

account\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class CreateIndex: …

</summary>

<details>

<summary>

config: Optional\[Config]

</summary>

dimensions: int

Specifies the number of dimensions for the index

maximum1536

minimum1

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20dimensions">Link to this property</a>

<details>

<summary>

metric: Literal\["cosine", "euclidean", "dot-product"]

Specifies the type of metric to use calculating distance.

</summary>

One of the following:

"cosine"

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20metric%20%3E%20(member)%200">Link to this property</a>

"euclidean"

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20metric%20%3E%20(member)%201">Link to this property</a>

"dot-product"

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20metric%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20metric">Link to this property</a>

<details>

<summary>

preset: Optional\[Literal\["@cf/baai/bge-small-en-v1.5", "@cf/baai/bge-base-en-v1.5", "@cf/baai/bge-large-en-v1.5", 2 more]]

Specifies the preset to use for the index.

</summary>

One of the following:

"@cf/baai/bge-small-en-v1.5"

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20preset%20%3E%20(member)%200">Link to this property</a>

"@cf/baai/bge-base-en-v1.5"

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20preset%20%3E%20(member)%201">Link to this property</a>

"@cf/baai/bge-large-en-v1.5"

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20preset%20%3E%20(member)%202">Link to this property</a>

"openai/text-embedding-ada-002"

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20preset%20%3E%20(member)%203">Link to this property</a>

"cohere/embed-multilingual-v2.0"

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20preset%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config%20%3E%20(property)%20preset">Link to this property</a>

</details>

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20config">Link to this property</a>

created\_on: Optional\[datetime]

Specifies the timestamp the resource was created as an ISO8601 string.

formatdate-time

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

description: Optional\[str]

Specifies the description of the index.

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

modified\_on: Optional\[datetime]

Specifies the timestamp the resource was modified as an ISO8601 string.

formatdate-time

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

name: Optional\[str]

<a href="#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(model)%20create_index%20%3E%20(schema)>)

### List Vectorize Indexes

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.vectorize.indexes.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.config)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "config": {
        "dimensions": 768,
        "metric": "cosine",
        "preset": "@cf/baai/bge-small-en-v1.5"
      },
      "created_on": "2022-11-15T18:25:44.442097Z",
      "description": "This is my example index.",
      "modified_on": "2022-11-15T18:25:44.442097Z",
      "name": "example-index"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "config": {
        "dimensions": 768,
        "metric": "cosine",
        "preset": "@cf/baai/bge-small-en-v1.5"
      },
      "created_on": "2022-11-15T18:25:44.442097Z",
      "description": "This is my example index.",
      "modified_on": "2022-11-15T18:25:44.442097Z",
      "name": "example-index"
    }
  ],
  "success": true
}
```